%{?mingw_package_header}

%global pkgname poppler

Name:          mingw-%{pkgname}
Version:       0.56.0
Release:       2%{?dist}
Summary:       MinGW Windows Poppler library

License:       (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and MIT
BuildArch:     noarch
URL:           http://poppler.freedesktop.org/
Source0:       http://poppler.freedesktop.org/%{pkgname}-%{version}.tar.xz

# Fix CVE-2017-9083 (#1453200)
Patch0:        poppler_CVE-2017-9083.patch
# Fix CVE-2017-9865 (#1466435)
Patch1:        poppler_CVE-2017-9865.patch
# Fix CVE-2017-7515 (#1459066)
Patch2:        poppler_CVE-2017-7515.patch

BuildRequires: gettext-devel
BuildRequires: perl(File::Temp)

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-libjpeg-turbo
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-openjpeg2
BuildRequires: mingw32-cairo
BuildRequires: mingw32-gtk3
BuildRequires: mingw32-lcms2
BuildRequires: mingw32-qt
BuildRequires: mingw32-qt5-qtbase-devel

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-libjpeg-turbo
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-openjpeg2
BuildRequires: mingw64-cairo
BuildRequires: mingw64-gtk3
BuildRequires: mingw64-lcms2
BuildRequires: mingw64-qt
BuildRequires: mingw64-qt5-qtbase-devel


%description
MinGW Windows Poppler library.

###############################################################################

%package -n mingw32-%{pkgname}
Summary:       MinGW Windows Poppler library

%description -n mingw32-%{pkgname}
MinGW Windows Poppler library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows Poppler library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows Poppler library.

###############################################################################

%package -n mingw32-%{pkgname}-glib
Summary:       MinGW Windows Poppler-Glib library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-glib
MinGW Windows Poppler-Glib library.


%package -n mingw32-%{pkgname}-glib-static
Summary:       Static version of the MinGW Windows Poppler-Glib library
Requires:      mingw32-%{pkgname}-glib = %{version}-%{release}

%description -n mingw32-%{pkgname}-glib-static
Static version of the MinGW Windows Poppler-Glib library.

###############################################################################

%package -n mingw32-%{pkgname}-qt
Summary:       MinGW Windows Poppler-Qt4 library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-qt
MinGW Windows Poppler-Qt4 library.


%package -n mingw32-%{pkgname}-qt-static
Summary:       Static version of the MinGW Windows Poppler-Qt4 library
Requires:      mingw32-%{pkgname}-qt = %{version}-%{release}

%description -n mingw32-%{pkgname}-qt-static
Static version of the MinGW Windows Poppler-Qt4 library.

###############################################################################

%package -n mingw32-%{pkgname}-qt5
Summary:       MinGW Windows Poppler-Qt5 library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-qt5
MinGW Windows Poppler-Qt5 library.


%package -n mingw32-%{pkgname}-qt5-static
Summary:       Static version of the MinGW Windows Poppler-Qt5 library
Requires:      mingw32-%{pkgname}-qt5 = %{version}-%{release}

%description -n mingw32-%{pkgname}-qt5-static
Static version of the MinGW Windows Poppler-Qt5 library.

###############################################################################

%package -n mingw32-%{pkgname}-cpp
Summary:       MinGW Windows C++ Poppler library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-cpp
MinGW Windows C++ Poppler library.


%package -n mingw32-%{pkgname}-cpp-static
Summary:       Static version of the MinGW Windows C++ Poppler library
Requires:      mingw32-%{pkgname}-cpp = %{version}-%{release}

%description -n mingw32-%{pkgname}-cpp-static
Static version of the MinGW Windows C++ Poppler library.

###############################################################################

%package -n mingw64-%{pkgname}
Summary:       MinGW Windows Poppler library

%description -n mingw64-%{pkgname}
MinGW Windows Poppler library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows Poppler library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows Poppler library.

###############################################################################

%package -n mingw64-%{pkgname}-glib
Summary:       MinGW Windows Poppler-Glib library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-glib
MinGW Windows Poppler-Glib library.


%package -n mingw64-%{pkgname}-glib-static
Summary:       Static version of the MinGW Windows Poppler-Glib library
Requires:      mingw64-%{pkgname}-glib = %{version}-%{release}

%description -n mingw64-%{pkgname}-glib-static
Static version of the MinGW Windows Poppler-Glib library.

###############################################################################

%package -n mingw64-%{pkgname}-qt
Summary:       MinGW Windows Poppler-Qt4 library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-qt
MinGW Windows Poppler-Qt4 library.


%package -n mingw64-%{pkgname}-qt-static
Summary:       Static version of the MinGW Windows Poppler-Qt4 library
Requires:      mingw64-%{pkgname}-qt = %{version}-%{release}

%description -n mingw64-%{pkgname}-qt-static
Static version of the MinGW Windows Poppler-Qt4 library.

###############################################################################

%package -n mingw64-%{pkgname}-qt5
Summary:       MinGW Windows Poppler-Qt5 library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-qt5
MinGW Windows Poppler-Qt5 library.


%package -n mingw64-%{pkgname}-qt5-static
Summary:       Static version of the MinGW Windows Poppler-Qt5 library
Requires:      mingw64-%{pkgname}-qt5 = %{version}-%{release}

%description -n mingw64-%{pkgname}-qt5-static
Static version of the MinGW Windows Poppler-Qt5 library.

###############################################################################

%package -n mingw64-%{pkgname}-cpp
Summary:       MinGW Windows C++ Poppler library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-cpp
MinGW Windows C++ Poppler library.


%package -n mingw64-%{pkgname}-cpp-static
Summary:       Static version of the MinGW Windows C++ Poppler library
Requires:      mingw64-%{pkgname}-cpp = %{version}-%{release}

%description -n mingw64-%{pkgname}-cpp-static
Static version of the MinGW Windows C++ Poppler library.

###############################################################################

%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
%mingw_configure \
    --enable-cairo-output \
    --enable-libjpeg \
    --enable-libopenjpeg=openjpeg2 \
    --enable-poppler-qt4 \
    --enable-poppler-qt5 \
    --enable-xpdf-headers \
    --disable-zlib

%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Delete man files
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

# Delete exe files
rm -f %{buildroot}%{mingw32_bindir}/*.exe
rm -f %{buildroot}%{mingw64_bindir}/*.exe


%files -n mingw32-%{pkgname}
%license COPYING
%doc README
%{mingw32_bindir}/libpoppler-67.dll
%{mingw32_includedir}/poppler/
%exclude %{mingw32_includedir}/poppler/cpp/
%exclude %{mingw32_includedir}/poppler/glib/
%exclude %{mingw32_includedir}/poppler/qt4/
%exclude %{mingw32_includedir}/poppler/qt5/
%{mingw32_libdir}/libpoppler.dll.a
%{mingw32_libdir}/pkgconfig/poppler.pc
%{mingw32_libdir}/pkgconfig/poppler-splash.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libpoppler.a

%files -n mingw32-%{pkgname}-glib
%{mingw32_bindir}/libpoppler-glib-8.dll
%{mingw32_includedir}/poppler/glib/
%{mingw32_libdir}/libpoppler-glib.dll.a
%{mingw32_libdir}/pkgconfig/poppler-glib.pc
%{mingw32_libdir}/pkgconfig/poppler-cairo.pc

%files -n mingw32-%{pkgname}-glib-static
%{mingw32_libdir}/libpoppler-glib.a

%files -n mingw32-%{pkgname}-qt
%{mingw32_bindir}/libpoppler-qt4-4.dll
%{mingw32_includedir}/poppler/qt4/
%{mingw32_libdir}/libpoppler-qt4.dll.a
%{mingw32_libdir}/pkgconfig/poppler-qt4.pc

%files -n mingw32-%{pkgname}-qt-static
%{mingw32_libdir}/libpoppler-qt4.a

%files -n mingw32-%{pkgname}-qt5
%{mingw32_bindir}/libpoppler-qt5-1.dll
%{mingw32_includedir}/poppler/qt5/
%{mingw32_libdir}/libpoppler-qt5.dll.a
%{mingw32_libdir}/pkgconfig/poppler-qt5.pc

%files -n mingw32-%{pkgname}-qt5-static
%{mingw32_libdir}/libpoppler-qt5.a

%files -n mingw32-%{pkgname}-cpp
%{mingw32_bindir}/libpoppler-cpp-0.dll
%{mingw32_includedir}/poppler/cpp/
%{mingw32_libdir}/libpoppler-cpp.dll.a
%{mingw32_libdir}/pkgconfig/poppler-cpp.pc

%files -n mingw32-%{pkgname}-cpp-static
%{mingw32_libdir}/libpoppler-cpp.a

%files -n mingw64-%{pkgname}
%license COPYING
%doc README
%{mingw64_bindir}/libpoppler-67.dll
%{mingw64_includedir}/poppler/
%exclude %{mingw64_includedir}/poppler/cpp/
%exclude %{mingw64_includedir}/poppler/glib/
%exclude %{mingw64_includedir}/poppler/qt4/
%exclude %{mingw64_includedir}/poppler/qt5/
%{mingw64_libdir}/libpoppler.dll.a
%{mingw64_libdir}/pkgconfig/poppler.pc
%{mingw64_libdir}/pkgconfig/poppler-splash.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libpoppler.a

%files -n mingw64-%{pkgname}-glib
%{mingw64_bindir}/libpoppler-glib-8.dll
%{mingw64_includedir}/poppler/glib/
%{mingw64_libdir}/libpoppler-glib.dll.a
%{mingw64_libdir}/pkgconfig/poppler-glib.pc
%{mingw64_libdir}/pkgconfig/poppler-cairo.pc

%files -n mingw64-%{pkgname}-glib-static
%{mingw64_libdir}/libpoppler-glib.a

%files -n mingw64-%{pkgname}-qt
%{mingw64_bindir}/libpoppler-qt4-4.dll
%{mingw64_includedir}/poppler/qt4/
%{mingw64_libdir}/libpoppler-qt4.dll.a
%{mingw64_libdir}/pkgconfig/poppler-qt4.pc

%files -n mingw64-%{pkgname}-qt-static
%{mingw64_libdir}/libpoppler-qt4.a

%files -n mingw64-%{pkgname}-qt5
%{mingw64_bindir}/libpoppler-qt5-1.dll
%{mingw64_includedir}/poppler/qt5/
%{mingw64_libdir}/libpoppler-qt5.dll.a
%{mingw64_libdir}/pkgconfig/poppler-qt5.pc

%files -n mingw64-%{pkgname}-qt5-static
%{mingw64_libdir}/libpoppler-qt5.a

%files -n mingw64-%{pkgname}-cpp
%{mingw64_bindir}/libpoppler-cpp-0.dll
%{mingw64_includedir}/poppler/cpp/
%{mingw64_libdir}/libpoppler-cpp.dll.a
%{mingw64_libdir}/pkgconfig/poppler-cpp.pc

%files -n mingw64-%{pkgname}-cpp-static
%{mingw64_libdir}/libpoppler-cpp.a


%changelog
* Fri Jul 14 2017 Sandro Mani <manisandro@gmail.com> - 0.56.0-2
- Add patch for CVE-2017-9865 (#1466435)
- Add patch for CVE-2017-7515 (#1459066)

* Mon Jun 26 2017 Sandro Mani <manisandro@gmail.com> - 0.56.0-1
- Update to 0.56.0

* Tue May 30 2017 Sandro Mani <manisandro@gmail.com> - 0.55.0-2
- Add patches for CVE-2017-7511 (#1456829) and CVE-2017-9083 (#1453200)

* Thu May 25 2017 Sandro Mani <manisandro@gmail.com> - 0.55.0-1
- Update to 0.55.0

* Tue Mar 28 2017 Sandro Mani <manisandro@gmail.com> - 0.53.0-1
- Update to 0.53.0

* Sun Feb 19 2017 Sandro Mani <manisandro@gmail.com> - 0.52.0-1
- Update to 0.52.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.51.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 22 2017 Sandro Mani <manisandro@gmail.com> - 0.51.0-2
- Rebuild for Qt5-5.7.1

* Mon Jan 16 2017 Sandro Mani <manisandro@gmail.com> - 0.51.0-1
- Update to 0.51.0

* Sat Dec 17 2016 Sandro Mani <manisandro@gmail.com> - 0.50.0-2
- Build against openjpeg2

* Fri Dec 16 2016 Sandro Mani <manisandro@gmail.com> - 0.50.0-1
- Update to 0.50.0

* Wed Nov 23 2016 Sandro Mani <manisandro@gmail.com> - 0.49.0-1
- Update to 0.49.0

* Sat Oct 22 2016 Sandro Mani <manisandro@gmail.com> - 0.48.0-1
- Update to 0.48.0

* Tue Jul 19 2016 Sandro Mani <manisandro@gmail.com> - 0.45.0-1
- Update to 0.45.0

* Tue May 03 2016 Sandro Mani <manisandro@gmail.com> - 0.43.0-1
- Update to 0.43

* Wed Mar 09 2016 Sandro Mani <manisandro@gmail.com> - 0.41.0-1
- Update to 0.41

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 23 2016 Sandro Mani <manisandro@gmail.com> - 0.40.0-1
- Update to 0.40

* Wed Jul 22 2015 Sandro Mani <manisandro@gmail.com> - 0.34.0-1
- Update to 0.34

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Sandro Mani <manisandro@gmail.com> - 0.33.0-1
- Update to 0.33.0

* Mon May 11 2015 Sandro Mani <manisandro@gmail.com> - 0.30.0-3
- Fix includes listed multiple times
- --enable-xpdf-headers

* Tue Jan 27 2015 Sandro Mani <manisandro@gmail.com> - 0.30.0-2
- Re-enable openjpeg support

* Tue Jan 27 2015 Sandro Mani <manisandro@gmail.com> - 0.30.0-1
- Update to 0.30.0

* Thu Nov 27 2014 Sandro Mani <manisandro@gmail.com> - 0.28.1-1
- Update to 0.28.1

* Mon Sep 29 2014 Sandro Mani <manisandro@gmail.com> - 0.26.5-1
- Update to 0.26.5

* Sat Aug 23 2014 Sandro Mani <manisandro@gmail.com> - 0.26.4-1
- Update to 0.26.4

* Mon Jul 21 2014 Sandro Mani <manisandro@gmail.com> - 0.26.3-1
- Update to 0.26.3

* Thu Jun 19 2014 Sandro Mani <manisandro@gmail.com> - 0.26.2-1
- Update to 0.26.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Sandro Mani <manisandro@gmail.com> - 0.26.1-1
- Update to 0.26.1

* Wed May 14 2014 Sandro Mani <manisandro@gmail.com> - 0.26.0-1
- Update to 0.26.0

* Fri Apr 25 2014 Sandro Mani <manisandro@gmail.com> - 0.24.5-2
- Add poppler_pkgconfig_private_libs.patch

* Fri Jan 03 2014 Sandro Mani <manisandro@gmail.com> - 0.24.5-1
- Update to 0.24.5, fixes #1048203

* Wed Nov 27 2013 Sandro Mani <manisandro@gmail.com> - 0.24.4-1
- Update to 0.24.4

* Mon Oct 28 2013 Sandro Mani <manisandro@gmail.com> - 0.24.3-2
- Add patch to fix Qt5 detection

* Mon Oct 28 2013 Sandro Mani <manisandro@gmail.com> - 0.24.3-1
- Update to 0.24.3

* Mon Sep 30 2013 Sandro Mani <manisandro@gmail.com> - 0.24.2-1
- Update to 0.24.2

* Tue Aug 27 2013 Sandro Mani <manisandro@gmail.com> - 0.24.1-1
- Update to 0.24.1
- Enable qt5 build

* Mon Aug 19 2013 Sandro Mani <manisandro@gmail.com> - 0.24.0-1
- Update to 0.24.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.22.5-2
- Rebuild against libpng 1.6

* Mon Jun 17 2013 Sandro Mani <manisandro@gmail.com> - 0.22.5-1
- Update to 0.22.5

* Sat May 11 2013 Sandro Mani <manisandro@gmail.com> - 0.22.1-2
- Use versioned BuildRequires for mingw32/64-filesystem
- Remove unused mingw_build_win32/64 macros
- Remove tools subpackage (and do not ship exes)

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 0.22.1-1
- Initial Fedora package
